Application: gvSIG desktop - gvSIG bugs #1236
Wrong management of read-only layers at editing
10/05/2012 11:47 AM - Vicent Domenech

Status: Closed % Done: 0%
Priority: High Spent time: 0.00 hour
Assignee: Juan Lucas Dominguez

Category: Vector editing

Target version: 2.0.0-rc1

Severity: Add-on version:

gvSIG version: 2.0.0 Add-on build:

gvSIG build: 2055 Add-on resolve version:
Operative System: Linux Add-on resolve build:
Keywords: Proyecto:

Has patch: No Hito:

Add-on name: Unknown

Description

Open gvSIG

Create a new view
Add layer (http:/downloads.gvsig.org/download/geodata/vector/DGN/Albarracini_SITAR _DGN.zip)
Right click on name layer in ToC, start edition
Delete one element
Right click on name layer in ToC, finish edition
Click Save
A warning message appears:
Exception reading 'Albarracin1_SITAR_DGN'".
Can't finish edition.

null (java.lang.UnsupportedOperationException)

History

#1 - 10/22/2012 01:33 PM - Manuel Madrid

- Subject changed from Warning message appears after delete one element of DGN layer and finish edition to Wrong management of read-only layers
at editing

- Category changed from Geoprocess to Vector editing

- Priority changed from Normal to High

Edition over read-only layers should be managed. Two options: 1) let the user export the layer to a writable format or 2) warn the user that changes
won't be saved, just at start editing.

#2 - 11/12/2012 05:03 PM - Juan Lucas Dominguez

- Status changed from New to Fixed

- Assignee set to Juan Lucas Dominguez

Fixed return value in allowWrite method (DGN does not allow it yet).

gvsig-desktop:r39215

Test: the behavior should be consistent now.
http://downloads.gvsig.org/download/geodata/vector/DGN/Albarracin1_SITAR_DGN.zip

#3 - 11/16/2012 09:48 AM - Abenchara Socorro
- Status changed from Fixed to Closed

Appears a warning message 'This layer has no write permissions. You will be able to export edited data, but no in the same layer'
